aboutsummaryrefslogtreecommitdiffstats
path: root/main/bluez/rfcomm.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-07-03 07:50:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-07-03 07:50:58 +0000
commitb689da87298cbd9e2be38c35a8548fe9f97e52d8 (patch)
tree125a0c009b3ad410ff7883e7d4cbf2fc2a08f501 /main/bluez/rfcomm.initd
parentb4097755f3c8a80331fb5298e1dbdd44f89b5e74 (diff)
main/bluez: update init.d scripts, split hid2hci
the udev rules to start up bluetoothd rules have been removed from upstream. http://git.kernel.org/?p=bluetooth/bluez.git;a=commit;h=2ea98a6a043710ad4958355b62c682b4767f292e
Diffstat (limited to 'main/bluez/rfcomm.initd')
-rw-r--r--main/bluez/rfcomm.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/main/bluez/rfcomm.initd b/main/bluez/rfcomm.initd
new file mode 100644
index 00000000000..d3b819e1abe
--- /dev/null
+++ b/main/bluez/rfcomm.initd
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/bluez/files/rfcomm-init.d,v 1.1 2011/12/31 21:09:18 pacho Exp $
+
+depend() {
+ after coldplug
+ need dbus localmount hostname
+}
+
+start() {
+ if [ "${RFCOMM_ENABLE}" = "true" -a -x /usr/bin/rfcomm ]; then
+ if [ -f "${RFCOMM_CONFIG}" ]; then
+ ebegin "Starting rfcomm"
+ /usr/bin/rfcomm -f "${RFCOMM_CONFIG}" bind all
+ eend $?
+ else
+ ewarn "Not enabling rfcomm because RFCOMM_CONFIG does not exists"
+ fi
+ fi
+}
+
+stop() {
+ ebegin "Shutting down rfcomm"
+ /usr/bin/rfcomm release all
+ eend $?
+}